Change logs for hplip source package in Sid

  • hplip (3.20.9+dfsg0-4) unstable; urgency=medium
    
      * Drop the "test all printers" autopkgtests, to push 3.20.9 to bullseye
    
     -- Didier Raboud <email address hidden>  Fri, 23 Oct 2020 09:25:37 +0200
  • hplip (3.20.9+dfsg0-3) unstable; urgency=medium
    
      * Migrate 3.20.9 to unstable
    
     -- Didier Raboud <email address hidden>  Mon, 12 Oct 2020 19:32:04 +0200
  • hplip (3.20.5+dfsg0-3) unstable; urgency=medium
    
      * Import patch from Fedora to fix upstream CFLAGS override (Closes: #961028)
    
     -- Didier Raboud <email address hidden>  Sun, 24 May 2020 17:56:09 +0200
  • hplip (3.20.5+dfsg0-2) unstable; urgency=medium
    
      * Fix non-amd64 libsane-hpaio.so non-installation
    
     -- Didier Raboud <email address hidden>  Sat, 16 May 2020 13:42:36 +0200
  • hplip (3.20.3+dfsg0-2) unstable; urgency=medium
    
      * Patch upstream for python3.8 support:
        - Fix SyntaxWarning: "is"/"is not" with a literal (Closes: #955168,
          #954732, LP: #1870019)
        - Assume the python3-distro package is available, depend on it
          (Closes: #955137)
    
     -- Didier Raboud <email address hidden>  Wed, 01 Apr 2020 08:51:28 +0200
  • hplip (3.20.3+dfsg0-1) unstable; urgency=medium
    
      * New 3.20.3 upstream version
        - Drop the reversal patch for io/hpmud/jd.c as this was "fixed" upstream
    
     -- Didier Raboud <email address hidden>  Wed, 11 Mar 2020 17:59:47 +0100
  • hplip (3.20.2+dfsg0-3) unstable; urgency=high
    
      * Fix dpkg-statoverride calls (Closes: #953318)
      * Add patch to revert 3.20.2 change to io/hpmud/jd.c (hopefully fixing
        some print failures)
    
     -- Didier Raboud <email address hidden>  Mon, 09 Mar 2020 14:15:39 +0100
  • hplip (3.20.2+dfsg0-2) unstable; urgency=medium
    
      * Drop dpkg-statoverrides as they are pointless (in /run and /var/run)
      * (Closes: #952780)
      * Empty hplip-data's /usr/share/hplip/*/__pycache__ in prerm
        (Closes: #953097)
      * Backport Ubuntu patch from Matthias Klose to fix building with Python 3.8
        (Closes: #953095, #946561)
    
     -- Didier Raboud <email address hidden>  Fri, 06 Mar 2020 17:13:48 +0100
  • hplip (3.20.2+dfsg0-1) unstable; urgency=medium
    
      * New 3.20.2 upstream version
      * Packaging cleanup:
        - Wrap long lines in some changelog entries
        - Cleanup d/control from old version requirements
        - Bump Standards-Version to 4.5.0 without changes needed
        - Set hplip home to /run/hplip, not /var/run/hplip
    
     -- Didier Raboud <email address hidden>  Fri, 28 Feb 2020 19:34:44 +0100
  • hplip (3.19.12+dfsg0-4) unstable; urgency=medium
    
      * Import 34 patches from Fedora, which huge thanks to them!
        - Replace Debian-specific "Convert str.translate to a py3-compatible
          version" with Fedora's "hp-setup fails on fax setup - use binary
          strings" (Closes: #948932)
        [ Tim Waugh ]
        - Replace rubbish pstotiff filter
        - Fix strstr const
        - Retry when connecting to device fails
        - Mark SNMP quirks for two lying devices
        - Fix bogus low ink warning from hpijs driver
        - Clear old state reasons
        - Avoid busy loop in hpcups when backend has exited
        - CUPS filters should use TMPDIR when available
        - Fixed Device ID parsing code in hpijs's dj9xxvip.c
        - Fixed left/right margins for HP DeskJet 990C
        - Fixed uses of strncpy throughout
        - Ignore IOError when logging output
        - Fixed hpcups crash when required plugin missing
        [ Jiří Popelka ]
        - Added several IEEE 1284 Device IDs
        - IEEE1284 Device ID for HP LaserJet 4000
        - Fix ImageableArea for Laserjet 8150/9000
        - Fix parsing of avahi-daemon output
        [ Zdenek Dohnal ]
        - Exit if source cannot be fetched from device
        - hp-check shows 'CUPS incompatible or not running' even if CUPS is
          running
        - hp-firmware:NameError: name 'INTERACTIVE_MODE4' is not defined
        - hp-setup fails on fax setup - use binary strings
        - Fixed hp-setup crash when user wants to define path to PPD file
        - Ignore symlinks when installing plugins
        - Scanning broken for HP LaserJet 3052
        - Cannot scan with M281fdw LaserJet - failed: Error during device I/O
          (Closes: #945109)
        - Fixing issues found by coverity scan
        - [abrt] hplip: strlen(): hp killed by SIGSEGV
        - [abrt] hp-systray:BlockingIOError: [Errno 11] Resource temporarily
          unavailable
        - Missing drivers (Closes: #949578)
        [ Tomas Korbar ]
        - Fix TypeError
        - Fix TypeError in hpfax
        - Fix AttributeError when connecting to printer via wifi
    
     -- Didier Raboud <email address hidden>  Fri, 31 Jan 2020 13:54:10 +0100
  • hplip (3.19.12+dfsg0-3) unstable; urgency=medium
    
      * Convert str.translate to a py3-compatible version (Closes: #948932)
    
     -- Didier Raboud <email address hidden>  Fri, 17 Jan 2020 15:12:43 +0100
  • hplip (3.19.12+dfsg0-2) unstable; urgency=medium
    
      [ Pino Toscano ]
      * Build with libusb-1.0 on any non-kfreebsd platform (Closes: #947824)
    
     -- Didier Raboud <email address hidden>  Tue, 31 Dec 2019 10:45:28 +0100
  • hplip (3.19.12+dfsg0-1) unstable; urgency=medium
    
      * New 3.19.12 upstream version
    
     -- Didier Raboud <email address hidden>  Fri, 13 Dec 2019 15:07:03 +0100
  • hplip (3.19.11+dfsg0-1) unstable; urgency=medium
    
      * New 3.19.11 upstream version
    
      * Bump Standards-Version to 4.4.1 without changes needed
    
     -- Didier Raboud <email address hidden>  Tue, 05 Nov 2019 10:23:10 +0100
  • hplip (3.19.8+dfsg0-7) unstable; urgency=medium
    
      [ Didier Raboud ]
      * Fix dat2drv.py to run with python3; run it at build-time to recreate the
        .drv.in files from their templates
    
      [ Till Kamppeter ]
      * Remove all page size choices named "Custom". they break with CUPS and are
        also identical with US Legal
    
     -- Didier Raboud <email address hidden>  Tue, 01 Oct 2019 21:57:52 +0200
  • hplip (3.19.8+dfsg0-6) unstable; urgency=medium
    
      * Fix autopkgtests:
        - hpcups: Only test drivers that don't need a proprietary driver
        - hpijs: drop test; as it's too hard to determine which don't need a
          proprietary driver
      * Fix HEAD-instead-of-GET patch: follow redirects
      * Circumvent new CUPS restriction against 'Custom' in PPD options
        through modifying all printer-driver-postscript-hp ppds to use
        'Customized'
    
     -- Didier Raboud <email address hidden>  Mon, 23 Sep 2019 16:56:59 +0200
  • hplip (3.19.8+dfsg0-5) unstable; urgency=medium
    
      * Autopkgtests: only test a subset of printers
    
     -- Didier Raboud <email address hidden>  Sun, 22 Sep 2019 14:01:17 +0200
  • hplip (3.19.8+dfsg0-4) unstable; urgency=medium
    
      * Add autopkgtests
      * Fix hp-doctor shebang to also use python3
      * Patch upstream code to enforce Debian assumptions:
        - The distro version is supported
        - Auto installation is not allowed
        - Forbid hplip's installer to install "missing" packages by itself
      * printer-driver-postscript-hp: fix driver regexp for the CUPS trigger
    
     -- Didier Raboud <email address hidden>  Sat, 21 Sep 2019 19:02:38 +0200
  • hplip (3.19.8+dfsg0-3) unstable; urgency=medium
    
      * Cleanup patch queue:
        - Remove all manual patch names
        - Rewrite libhpmud.so.0 dlopen call
    
     -- Didier Raboud <email address hidden>  Thu, 19 Sep 2019 09:22:23 +0200
  • hplip (3.19.8+dfsg0-2) unstable; urgency=medium
    
      [ Brian Potkin ]
      * Drop 'parallel-port' mentions in package descriptions
        (Closes: #933941)
    
      [ Didier Raboud ]
      * Fix version pattern check to support ghostscript RC versions
      * Fix the PIL.Image version check, to work with  Pillow > 6
      * Don't gpg --import, but rely on installed signing_key.asc
      * Shortcut distros.dat finding to point to where it is
      * Accelerate HTTP check by doing a HEAD, not a GET
    
     -- Didier Raboud <email address hidden>  Thu, 19 Sep 2019 08:54:05 +0200
  • hplip (3.19.8+dfsg0-1) unstable; urgency=low
    
      * New 3.19.8 upstream version; to unstable
    
      * Convert from gbp dbm to debrebase
      * Path some typos in BUG and DBG messages
      * Minor packaging updates
        - Use secure URI in debian/watch
        - Update standards version, no changes needed
        - Bump debhelper from old 11 to 12
        - Set upstream metadata fields: Archive, Bug-Submit
        - Fix day-of-week for some old changelog entries
      * DFSG-repack:
        - Drop compiled locatedriver and prnt/plugins/*.so
        - Drop unlicensed files from tarball root
        - Remove compiled libImageProcessor i386 & amd64 shared libraries
          artifacts as they don't come with source
    
     -- Didier Raboud <email address hidden>  Fri, 13 Sep 2019 17:25:57 +0200
  • hplip (3.18.12+dfsg0-2) unstable; urgency=medium
    
      * printer-driver-postscript-hp: Bump Breaks/Replaces against hplip
        (Closes: #916139)
      * Trim trailing whitespace
      * Re-export upstream signing key without extra signatures
    
     -- Didier Raboud <email address hidden>  Mon, 10 Dec 2018 20:12:18 +0100
  • hplip (3.18.12+dfsg0-1) unstable; urgency=medium
    
      * New upstream version 3.18.12
      * DFSG-repack:
        - Drop compiled locatedriver and prnt/plugins/*.so
        - Drop unlicensed files from tarball root
        - Remove compiled libImageProcessor i386 & amd64 shared libraries
          artifacts as they don't come with source
    
      * d/copyright refresh
      * Demote printer-driver-postscript-hp's Depends on hplip to a Suggests
        (Closes: #915623)
      * Add patch:
        - Fix linking of libhpipp and the *ext python extensions (Closes: #886391)
    
     -- Didier Raboud <email address hidden>  Thu, 06 Dec 2018 20:27:22 +0100
  • hplip (3.18.10+dfsg0-3) unstable; urgency=medium
    
      * Install the missing postscript-hp PPDs (Closes: #913578)
    
     -- Didier Raboud <email address hidden>  Mon, 12 Nov 2018 20:40:15 +0100
  • hplip (3.18.10+dfsg0-2) unstable; urgency=low
    
      * Import Ubuntu-triaged patches:
        [ Till Kamppeter ]
        - Call QMessageBox constructors of PyQT5 with the correct parameters
          (Closes: #912768, LP: #1745383)
        - Fixed incomplete removal of hp-toolbox features, which caused the
          hp-toolbox not to start (Closes: #912768, LP: #1789184)
        [ Francois Gouget ]
        - hp-check: Fix core.distro vs. core.distro_name mixups
          (LP: #1688684)
      * Patch to fix hp-doctor:
        - Make base.g.xint more generous in what it can take
          (Closes: #912765)
    
     -- Didier Raboud <email address hidden>  Tue, 06 Nov 2018 17:27:03 +0100
  • hplip (3.18.10+dfsg0-1) unstable; urgency=low
    
      * New upstream version 3.18.10
      * DFSG-repack:
        - Drop compiled locatedriver and prnt/plugins/*.so
        - Drop unlicensed files from tarball root
        - Remove compiled libImageProcessor i386 & amd64 shared libraries
          artifacts as they don't come with source
      * Upload to unstable
      * Bump S-V to 4.2.1 without changes needed
      * Drop now-unneeded dh_strip --dbgsym-migration
    
     -- Didier Raboud <email address hidden>  Thu, 01 Nov 2018 21:34:30 +0100
  • hplip (3.17.10+repack0-7) unstable; urgency=medium
    
      [ Uwe Kleine-König ]
      * Weaken breaks/replaces of libsane-hpaio against hplip to ease
        backporting (Closes: #905734)
    
     -- Didier Raboud <email address hidden>  Fri, 14 Sep 2018 13:15:32 +0200
  • hplip (3.17.10+repack0-5) unstable; urgency=medium
    
      * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)
    
     -- Didier Raboud <email address hidden>  Wed, 07 Mar 2018 09:18:22 +0100
  • hplip (3.17.10+repack0-4) unstable; urgency=medium
    
      * Packaging cleanup with cme:
        - Cleanup d/control
        - Rewrite d/copyright to CF1.0
      * Demote policykit-1 from Depends to Recommends; see #891810#40 for the
        justification
    
     -- Didier Raboud <email address hidden>  Sun, 04 Mar 2018 16:12:44 +0100
  • hplip (3.17.10+repack0-3) unstable; urgency=medium
    
      * Update Vcs-* fields for the move to salsa.d.o
    
     -- Didier Raboud <email address hidden>  Sat, 10 Feb 2018 16:05:57 +0100
  • hplip (3.17.10+repack0-2) unstable; urgency=medium
    
      [ Pino Toscano ]
      * Remove not-needed-anymore gksu/kdesu/kdesudo/… dependencies
        (Closes: #867561)
    
      [ Didier Raboud ]
      * Update Homepage field
      * Bump S-V to 4.1.3 without changes needed
    
     -- Didier Raboud <email address hidden>  Sun, 31 Dec 2017 10:52:50 +0100
  • hplip (3.17.10+repack0-1) unstable; urgency=medium
    
      * New upstream version 3.17.10
        - Added Support for the two new scanners
          - HP Scanjet Enterprise Flow N9120 fn2 Document Scanner
          - HP Digital Sender Flow 8500 fn2 Document Capture Workstation
    
     -- Didier Raboud <email address hidden>  Wed, 18 Oct 2017 19:10:22 +0200
  • hplip (3.17.9+repack0-1) unstable; urgency=medium
    
      * New upstream version 3.17.9
        - Support for 44 HP printers
      * Bump S-V to 4.1.1 without changes needed
    
     -- Didier Raboud <email address hidden>  Mon, 02 Oct 2017 09:45:53 +0200
  • hplip (3.17.7+repack0-3) unstable; urgency=high
    
      * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
        (Closes: #871917)
    
     -- Didier Raboud <email address hidden>  Sat, 12 Aug 2017 22:16:35 -0400
  • hplip (3.17.7+repack0-2) unstable; urgency=medium
    
      * DebConf17 packaging cleanup
    
      * Migrate to debhelper 10, cleanup debian/rules
      * Cleanup maintainer script comments
      * Simplify the python3 handling in d/rules
      * Drop build-time lsb_release usage in favour of dpkg-vendor
      * Drop --enable-udev-acl-rules configure flag, unused since 3.14.6
      * Reorder debian/rules for doing the -dNOINTERPOLATE dance less times
      * Bump Standards-Version to 4.0.0
      * Revert the dh_pyppd package selection logic
      * Cleanup the custom non-shipped-files list
      * Add debian/not-installed for dh_missing already
      * Remove single-debian-patch source local-option
    
     -- Didier Raboud <email address hidden>  Sat, 05 Aug 2017 16:07:51 -0400
  • hplip (3.17.7+repack0-1) unstable; urgency=medium
    
      * New upstream 3.17.7
        - Re-implementation of “hpps” filter in C
        - Support for 14 HP printers
    
     -- Didier Raboud <email address hidden>  Sat, 05 Aug 2017 02:48:34 +0200
  • hplip (3.17.7+repack0-1~OdyX0) unstable; urgency=medium
    
      * New upstream 3.17.7
        - Re-implementation of “hpps” filter in C
        - Support for 14 HP printers
    
     -- Didier Raboud <email address hidden>  Sat, 05 Aug 2017 02:48:34 +0200
  • hplip (3.17.6+repack0-2) unstable; urgency=medium
    
      [ Scott Kitterman ]
      * Correct python3 build-depends to match debian/rules (Closes: #866948)
    
     -- Didier Raboud <email address hidden>  Mon, 03 Jul 2017 08:24:53 +0200
  • hplip (3.17.6+repack0-1) unstable; urgency=low
    
      * New upstream 3.17.6
        - Support for 53 HP printers
        - DeskJet 3775 - scanner not found (LP: #1690515)
        - Head alignment don't work (LP: #1690516)
      * Refresh patches
    
     -- Didier Raboud <email address hidden>  Sun, 18 Jun 2017 17:34:17 +0200
  • hplip (3.16.11+repack0-3) unstable; urgency=low
    
      [ Gaurav Sood ]
      * Fix handling of unicode filenames in sixext.py
        (Closes: #861731, LP: #1480152)
    
     -- Didier Raboud <email address hidden>  Thu, 04 May 2017 18:35:44 +0200
  • hplip (3.16.11+repack0-2) unstable; urgency=medium
    
      [ Brian Potkin ]
      * Drop inaccurate 'and PPDs' from the hplip-data description
        (Closes: #848889)
    
      [ Didier Raboud ]
      * Explicitly build-depend on libssl-dev (Closes: #852921)
      * Explicitly build-depend on dh-python
    
     -- Didier Raboud <email address hidden>  Mon, 30 Jan 2017 21:36:12 +0100
  • hplip (3.16.11+repack0-1) unstable; urgency=medium
    
      * New upstream version 3.16.11
        - HP LaserJet M101-M106 Printer
        - HP LaserJet Pro M203-M206 Printer
        - HP LaserJet Pro MFP M227-M231 Printer
        - HP LaserJet Pro MFP M129-M134
      * Refresh patches
    
     -- Didier Raboud <email address hidden>  Mon, 05 Dec 2016 11:03:08 +0100
  • hplip (3.16.10+repack0-1) unstable; urgency=medium
    
      * New upstream version 3.16.10
        - HP OfficeJet Pro 7740 Wide Format All-in-One
        - HP OfficeJet 6950 All-in-One
        - HP Scanjet Pro 3000 S3
        - HP Scanjet Enterprise Flow 5000 S4
        - HP Scanjet Enterprise Flow 7000 S3
        - HP Color LaserJet MFP M277c6
      * Refresh patches
    
     -- Didier Raboud <email address hidden>  Tue, 01 Nov 2016 22:11:09 +0100
  • hplip (3.16.9+repack0-2) unstable; urgency=medium
    
      * Remove leading asterisks from two NEWS entries
      * Fix list wrapping in scan.py to fix generated manpage
      * Add python3-gi as B-D to fix hp-check-plugin's manpage generation
      * Export HOME when building the manpages to permit hp-toolbox's manpage
        generation
      * Remove unnecessary ldconfig trigger for libsane-hpaio
      * Mark hplip-doc as M-A: foreign
    
     -- Didier Raboud <email address hidden>  Mon, 03 Oct 2016 12:08:37 +0200
  • hplip (3.16.9+repack0-1) unstable; urgency=medium
    
      * New upstream version 3.16.9
        - HP OfficeJet Pro 8732M All-in-One Printer
        - HP OfficeJet 8702 All-in-One Printer
        - HP OfficeJet 6960 All-in-One Printer
        - HP PageWide 377dw Multifunction Printer
        - HP PageWide 352dw Printer
        - HP PageWide Managed Color MFP E58650 series
        - HP PageWide Managed Color E55650 series
      * Refresh patches
    
     -- Didier Raboud <email address hidden>  Sun, 25 Sep 2016 11:00:21 +0200
  • hplip (3.16.8+repack0-3) unstable; urgency=medium
    
      [ Till Kamppeter ]
      * De-activated script to rename the paper sizes. The hpcups.drv file got too
        complex to do the automated renaming and so some printer's PPDs got broken
        (LP: #1626245)
      * Add patch to add 'include <cups/ppd.h>' in various places as CUPS 2.2 moved
        some definitions to ppd.h
    
     -- Didier Raboud <email address hidden>  Sat, 24 Sep 2016 18:47:48 +0200
  • hplip (3.16.8+repack0-2) unstable; urgency=medium
    
      * Add patch to fix regression introduced by erroneous tabs in hpps python
        code (Closes: #836581, LP: #1619207)
    
     -- Didier Raboud <email address hidden>  Mon, 05 Sep 2016 08:35:31 +0200
  • hplip (3.16.8+repack0-1) unstable; urgency=medium
    
      * New upstream release
        - Support for new HP printers:
          × HP OfficeJet Pro 6970 All-in-One Printer
          × HP OfficeJet Pro 6960 All-in-One Printer
          × HP OfficeJet 250 Mobile All-in-One
          × HP DeskJet 3700 All-in-One
          × HP DeskJet Ink Advantage 3700 All-in-One
        - Repack:
          × Uncompress various source files, for better upstream tracking in the
            VCS
          × Remove prnt/hpcups/ErnieFilter.{cpp,h} source files as they are
            non-free
      * Update get-orig-source target to also record the new upstream with git-dpm
    
     -- Didier Raboud <email address hidden>  Thu, 01 Sep 2016 08:13:38 +0200
  • hplip (3.16.7+repack0-1) unstable; urgency=medium
    
      * New upstream release
        - Support for new HP printers:
          × Officejet Pro 8730
          × Officejet Pro 8210 Printer
          × Pagewide P55250
          × Pagewide MFP P57750
          × Pagewide Color 556
          × Pagewide Color MFP 586
          × Pagewide Color flow MFP 586
          × DeskJet Ink Advantage Ultra 5730 All-in-One Printer
          × Color Laserjet MFP M377 fnw
        - Repack:
          × Uncompress various source files, for better upstream tracking in the
            VCS
          × Remove prnt/hpcups/ErnieFilter.{cpp,h} source files as they are
            non-free
      * Initialize git-dpm; reword most patch descriptions from the original
        commits
    
     -- Didier Raboud <email address hidden>  Fri, 22 Jul 2016 17:43:26 +0200
  • hplip (3.16.5+repack1-1) unstable; urgency=medium
    
      * Repack the 3.16.5 upstream release to remove
        prnt/hpcups/ErnieFilter.{cpp,h} source files as they are non-free
        (Closes: #816870) (LP: #1553628)
      * Add patch to disable ErnieFilter usage everywhere, to cope with the repack
    
     -- Didier Raboud <email address hidden>  Sun, 10 Jul 2016 12:34:10 +0200
  • hplip (3.16.5+repack0-1) unstable; urgency=medium
    
      * Imported Upstream version 3.16.5
      * Switch to Qt5 (Closes: #793458)
      * Bump Standards-Version to 3.9.8
      * Actually rebuild the UI files we use (Qt5), not the Qt3 ones
      * Update Vcs-Git and Vcs-Browser to use canonical HTTPS URIs
      * Rebuild UI files and make imports relative
      * Port Qt4 patches to Qt5
      * Remove 85_rebuild_python_ui.patch, rebuilding in rules now
    
     -- Julian Andres Klode <email address hidden>  Tue, 10 May 2016 10:42:14 +0200
  • hplip (3.16.3+repack0-1) unstable; urgency=medium
    
      * Imported Upstream version 3.16.3
    
     -- Julian Andres Klode <email address hidden>  Sat, 19 Mar 2016 11:38:01 +0100
  • hplip (3.16.2+repack0-7) unstable; urgency=medium
    
      * Apply HP-LaserJet_4000-PostScript-PPD.patch like other patches
      * Do not run install actions twice in indep+arch builds (Closes: #817883)
    
     -- Julian Andres Klode <email address hidden>  Sat, 12 Mar 2016 13:58:26 +0100
  • hplip (3.16.2+repack0-6) unstable; urgency=medium
    
      * Handle building of only Architecture: any packages
      * Use --dbgsym-migration instead of --ddeb-migration
    
     -- Julian Andres Klode <email address hidden>  Fri, 11 Mar 2016 01:17:03 +0100
  • hplip (3.16.2+repack0-4) unstable; urgency=medium
    
      * Add patch to order page sizes consistently in hp-scan, to ensure manpage
        generation reproducibility
    
     -- Didier Raboud <email address hidden>  Thu, 25 Feb 2016 09:40:32 +0100
  • hplip (3.16.2+repack0-3) unstable; urgency=medium
    
      * Fix LD_LIBRARY_PATH to include DEB_HOST_MULTIARCH when generating python
        tools' manpages; fixes the FTBFS of -2
    
     -- Didier Raboud <email address hidden>  Tue, 23 Feb 2016 21:03:19 +0100
  • hplip (3.16.2+repack0-2) unstable; urgency=medium
    
      * Multi-arch'ify libsane-hpaio and libhpmud0 (Closes: #813043, #804379)
    
     -- Didier Raboud <email address hidden>  Mon, 15 Feb 2016 18:13:35 +0100
  • hplip (3.16.2+repack0-1) unstable; urgency=medium
    
      * New 3.16.2 upstream release
         - Repack the 3.16.2 upstream release
           Uncompress various source files, for better upstream tracking in the VCS
      * debian/rules - get-orig-source:
        - force upstream/latest-repack merge to use 'theirs' merge strategy and
          make it not fail the target
        - drop 'modeswitch' copy-paste leftover
      * Fix typo in previous changelog entry
    
     -- Didier Raboud <email address hidden>  Sat, 13 Feb 2016 16:01:54 +0100
  • hplip (3.15.11+repack0-1) unstable; urgency=medium
    
      * New upstream release
         - 3.15.11
           (Closes: #767325, #794803)
         - 3.15.7 - Insecure binary driver verification
           (CVE-2015-0839, Closes: #787353).
         - Repack the 3.15.11 upstream releasr: Un-gzip various source files, for
           better upstream-tracking
    
      * Let the Debian Printing Team umbrella adopt the package, with maintainer's
        agreement:
        - Migrate from SVN to Git; import the complete history to have the upstream
          sources in the repository
        - Update Vcs-* fields
        - Add gbp.conf to reflect the branch layout
        - Add myself as uploader
      * Wrap-and-sort the debian files
      * Remove tabs in previous changelog entries
      * Recompress the files uncompressed in repack just before build, with -n for
        reproducibility
      * Add tentative get-orig-source target for the automatic repack
      * Cleanup patch queue, with raw DEP-3 headers and no dpatch leftovers
      * Refresh debian/watch, and add upstream PGP key in debian/upstream to
        enforce signature verification of new upstream releases
      * Automatically generate debug package, B-D against debhelper >= 9.20151219
    
     -- Didier Raboud <email address hidden>  Sat, 09 Jan 2016 22:20:31 +0100
  • hplip (3.14.6-1) unstable; urgency=low
    
    
      * New upstream release
        - Fixed Device Communication Error on launching HP Device Manager
        - Unable to add/remove file in 'hp-sendfax' wizard
        - Fax cover page does not get changed after changing recipient second time
        - Improved scan performance for 'hp-scan' utility
        - Fixes "hplip is outdated in jessie : please upgrade" (Closes: #748132)
    
     -- Mark Purcell <email address hidden>  Sun, 15 Jun 2014 16:42:46 +1000
  • hplip (3.14.1-1) unstable; urgency=low
    
    
      * New upstream release 
        - CVE-2013-6427: hplip: insecure auto update feature
        - CVE-2013-6402: hplip: insecure temporary file handling in pkit.py
    
      [ Till Kamppeter ]
      * debian/control: Changed Depends/Recommends on foomatic-filters to
        "cups-filters (>= 1.0.42) | foomatic-filters" as foomatic-rip has
        moved to cups-filters from version 1.0.42 on (Closes: #734140).
    
      [ Mark Purcell ]
      * Ack NMU - thanks ~carnil
      * Drop CVE-2013-6402.patch - addressed upstream
    
     -- Mark Purcell <email address hidden>  Sun, 19 Jan 2014 13:56:10 +1100
  • hplip (3.13.11-2.1) unstable; urgency=medium
    
    
      * Non-maintainer upload.
      * Add CVE-2013-6402.patch patch.
        CVE-2013-6402: Fix insecure temporary files handling in pkit.py.
        (Closes: #725876)
      * Add missing dh_bugfiles invocation in binary-indep target
    
     -- Salvatore Bonaccorso <email address hidden>  Sun, 12 Jan 2014 10:59:12 +0100
  • hplip (3.13.11-2) unstable; urgency=medium
    
    
      * Urgency medium for CVE fix
      * Sync with ubuntu - thks ~marc.deslauriers
        - Fixes "CVE-2013-6427: insecure (undocumented) auto update feature"
        (Closes: #731480)
    
     -- Mark Purcell <email address hidden>  Sun, 15 Dec 2013 18:13:44 +1100
  • hplip (3.13.11-1) unstable; urgency=low
    
    
      * New upstream release
        - Includes fix for CVE-2013-4325:Insecure Polkit use (Closes: #723716)
        - Drop debian/patches/CVE-2013-4325.patch
        - hp-mkuri no longer ships
      * Drop hp-mkuri-take-into-account-already-installed-plugin-also-for-
        exit-value.dpatch & ubuntu-hp-mkuri-notification-text.dpatch
      * quilt refresh
      * hplip-doc.install -> hplip-doc.docs
    
     -- Mark Purcell <email address hidden>  Wed, 11 Dec 2013 06:12:48 +1100
  • hplip (3.13.9-2) unstable; urgency=low
    
    
      * Build-Depends: libusb2-dev [kfreebsd-any] - Thks Petr
        - Fixes "no longer buildable on kfreebsd-*" (Closes: #725616)
      * Update X-Python-Version: >= 2.7.5 
        - Fixes "hplip-data depends on python:any (>= 2.6.6-7~)" (Closes: #724705)
    
     -- Mark Purcell <email address hidden>  Sat, 12 Oct 2013 22:31:35 +1100
  • hplip (3.13.9-1) unstable; urgency=medium
    
    
      * New upstream release 
      * Fix CVE-2013-4325 hplip: Insecure calling of polkit
        - Apply Redhat patch (Closes: #723716)
        - Urgency medium
      * Fix "Rebuild against pyppd 1.0.1" patch from OdyX (Closes: #722695)
    
     -- Mark Purcell <email address hidden>  Sat, 21 Sep 2013 08:24:35 +1000
  • hplip (3.13.8-1) unstable; urgency=low
    
    
      * New Upstream Release 
      * Update Vcs: header
      * Fixup field "section" in package hpijs-ppds
      * Update libhpmud-dev Description: - duplicate-long-description
      * Update debian/copyright - fixes copyright-refers-to-symlink-license
      * Update Description: - fixes extended-description-is-probably-too-short
    
     -- Mark Purcell <email address hidden>  Sat, 17 Aug 2013 12:27:56 +1000
  • hplip (3.13.4-1) unstable; urgency=low
    
    
      * New upstream release
      * Removed "KDE from long description." (Closes: #706269)
      * Clarified "[hpijs] short description" (Closes: #706057)
    
     -- Mark Purcell <email address hidden>  Sun, 05 May 2013 21:09:24 +1000
  • hplip (3.12.6-3.1) unstable; urgency=high
    
    
      * Non-maintainer upload.
      * debian/patches/CVE-2013-0200.patch: Fix CVE-2013-0200 by applying the
        patch from Red Hat. Additionally increase the buffers to mitigate an
        regression and a buffer overflow. (Closes: #701185)
    
     -- Sebastian Ramacher <email address hidden>  Fri, 01 Mar 2013 18:21:48 +0100
  • hplip (3.12.6-3) unstable; urgency=low
    
    
      * [!linux-any] --enable-libusb01_build
    
     -- Mark Purcell <email address hidden>  Sun, 24 Jun 2012 16:49:41 +1000
  • hplip (3.12.6-2) unstable; urgency=low
    
    
      * Build-Depends: libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any]
      * Update to Standards-Version: 3.9.3
      * Fix debhelper-but-no-misc-depends
    
     -- Mark Purcell <email address hidden>  Sun, 24 Jun 2012 13:53:48 +1000
  • hplip (3.12.6-1) unstable; urgency=low
    
    
      * New Upstream Release
        - Fixes "print fails to HP Color LJ 3600, err=26" (Closes: #529884)
        - Fixes "UnicodeDecodeError: 'ascii' codec"   (Closes: #635128)
        - Fixes "hp-setup: should allow input any characters" (Closes: #470201)
    
     -- Mark Purcell <email address hidden>  Sat, 23 Jun 2012 10:28:22 +1000
  • hplip (3.12.4-2) unstable; urgency=low
    
    
      * hplip-gui Replaces: hplip  (<< 3.12.4-2)
        - Fixes "fails to upgrade from 'squeeze'" (Closes: #675307)
        - Add specific package.bug-script files
    
     -- Mark Purcell <email address hidden>  Sun, 10 Jun 2012 22:59:08 +1000
  • hplip (3.12.4-1) unstable; urgency=low
    
    
      * New upstream release
      * Switch to source/format 3.0 (quilt) - drop dpatch
      * Refreshed debian/patches
      * dh_autoreconf debian/autogen.sh & set local-options single-debian-patch
      * Update to debian/compat -> 9
      * Fix "hardened build flags" patch from Moritz - thanks (Closes: #667828)
      * Fix "duplex descriptor uninitialized" patch from Matej (Closes: #583273)
      * Fix "please migrate to kde-runtime" patch from Pino (Closes: #666544)
    
     -- Mark Purcell <email address hidden>  Sat, 26 May 2012 11:20:39 +1000
  • hplip (3.12.2-1) unstable; urgency=low
    
    
      * New Upstream Release
      * Fixup Replaces: for squeeze security updates (Closes: #658056)
        - Fixes "obsolete conffiles not removed on upgrades" (Closes: #645848)
      * Cleanup Obsolete Replaces: Depends: Breaks: - support upgrades squeeze+
      * Obtain user consent before running hp-check in reportbug
        - Fixes "bug script starts /usr/share/hplip/systray.py" (Closes: #623627)
      * Drop legacy Uploaders
      * Add hplip Depends: python-gobject-2
        - Fixes "missing dependency causes hp-plugin to fail" (Closes: #600360)
    
     -- Mark Purcell <email address hidden>  Sat, 18 Feb 2012 13:56:10 +1100
  • hplip (3.11.12-2) unstable; urgency=low
    
    
      * Reinstate printer-driver-{hpcups,hpijs}.install
        - Fixes "File "/usr/lib/cups/filter/hpcups" not available: No such file
        or directory" (Closes: #655424)
    
     -- Mark Purcell <email address hidden>  Thu, 12 Jan 2012 08:12:58 +1100
  • hplip (3.11.12-1) unstable; urgency=low
    
    
      * New Upstream Release 
      * Fix "Please rename the hplip packages to the printer-driver-
        convention" odyx patch - thks (Closes: #649991)
      * Fix "debian/control uses hardcoded list of non-Linux architectures"
        Update Build-Depends: libudev-dev [linux-any] (Closes: #634488)
      * Fix "hp-scan scans entire job and then reports inability to produce
        PDFs without reportlab" Added Depends: python-reportlab (Closes: #651240)
      * Fix "hplip bug report" python handling correct (Closes: #609680)
    
     -- Mark Purcell <email address hidden>  Sun, 08 Jan 2012 20:10:45 +1100
  • hplip (3.11.10-1) unstable; urgency=low
    
    
      * New Upstream Release
      * Switch to dh_bugfiles - fixes reportbug script
    
     -- Mark Purcell <email address hidden>  Sat, 29 Oct 2011 10:02:57 +1100
  • hplip (3.11.7-1) unstable; urgency=low
    
    
      * New Upstream Release 
      * Fixes "please replace deprecated python-support with dh_python2"
        3.11.7-0ubuntu2 by Steve (Closes: #637268)
    
     -- Mark Purcell <email address hidden>  Sat, 03 Sep 2011 09:06:36 +1000
  • hplip (3.11.5-2) unstable; urgency=low
      [ Till Kamppeter ]   * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev,    so that the package also builds with libjpeg8 (Closes: #634030).  [ Mark Purcell ]  * Ack NMU - Thanks Luk    - Fix "diff for NMU version 3.11.5-1.1" (Closes: #631008) -- Mark Purcell <email address hidden>  Sat, 16 Jul 2011 20:24:28 +1000
  • hplip (3.11.5-1.1) unstable; urgency=low
      * Non-maintainer upload.  * Don't ship .la files (Closes: #621591).  * Add missing '/' in bin/sh calls (Closes: #630648, #600673). -- Luk Claes <email address hidden>  Sun, 19 Jun 2011 19:04:01 +0200
  • hplip (3.11.5-1) unstable; urgency=low
      * New Upstream Release  * Updated Homepage: -- Mark Purcell <email address hidden>  Fri, 27 May 2011 21:16:17 +1000
  • hplip (3.11.1-3) unstable; urgency=low
      [ Till Kamppeter ]  * debian/rules: Modified PPD generator for hpcups so that the PostScript    code for the "PageSize" option also sets the PCL paper size    ("/cupsInteger0 XX") and not only PageRegion (Closes: #518227,    LP: #405116, Red Hat bug #518756).  [ Mark Purcell ]  * Make BinNMU safe  * hplip Depends: libsane-hpaio (= ${hplip:binary:Version})    - Fixes "depends on libsane-hpaio 3.11.1-2 instead of 3.11.1-2+b1"    (Closes: #622598)  * hplip-gui Depends: hplip (>= ${hplip:source:Version})    - Fixes "binNMU is not installable" (Closes: #622602)  * hplip-ppds Depends: hpijs (>= ${hpijs:source:Version})    - Fixes "Uninstallable due to not binNMU safe" (Closes: #622596) -- Mark Purcell <email address hidden>  Sat, 16 Apr 2011 08:46:43 +1000
  • hplip (3.11.1-2) unstable; urgency=low
      * Upload to unstable    - Fixes "[hplip] New upstream version" (Closes: #613295)  * Drop obsolete 00patch-opts "patch: invalid option -- 'U'" (Closes: #612646)  * kdeprint no longer Depends: (Closes: #608947)  * "ppd" included in description" (Closes: #608836)  * Fixes "sane" lowercase in extended description" (Closes: #591919) -- Mark Purcell <email address hidden>  Sun, 20 Feb 2011 21:20:06 +1100
  • hplip (3.10.6-2) unstable; urgency=high
      * SECURITY UPDATE: denial of service and possible arbitrary code    execution via long SNMP response - Thanks Till    - debian/patches/CVE-2010-4267.dpatch: validate dLen in io/hpmud/pml.c.    - Fixes "CVE-2010-4267: Buffer overflow" (Closes: #610960)  * Ack NMU - Thanks Evgeni -- Mark Purcell <email address hidden>  Thu, 27 Jan 2011 00:48:24 +1100
  • hplip (3.10.6-1.1) unstable; urgency=low
    
    
      * Non-maintainer upload.
      * Try libhpmud.so.0 when libhpmud.so is not found.
        Closes: #600670
    
     -- Evgeni Golov <email address hidden>  Wed, 20 Oct 2010 17:57:23 +0200
  • hplip (3.10.6-1) unstable; urgency=low
    
    
      * New Upstream Release
      * NEW package libsane-hplip - headless scanner libs
      * udev/rules.d/40-hplip.rules -> libhpmud0 - headless printing
      * fixup debian/shlibs -> shlibs.libhpmud0
    
     -- Mark Purcell <email address hidden>  Sat, 24 Jul 2010 13:50:37 +1000
  • hplip (3.10.5-4) unstable; urgency=high
    
    
      * Force Depends: python (>> 2.6), python (<< 2.7) (Closes: #587737)
        - Urgency high for RC bug
      * Ack python transition NMUs - Thanks Bernd  
    
     -- Mark Purcell <email address hidden>  Sat, 03 Jul 2010 13:09:53 +1000
  • hplip (3.10.5-3.2) unstable; urgency=low
    
    
      * Non-maintainer upload.
      * Remove unnecessary module path option for dh_pysupport.
      * Call dh_installdeb after dh_pysupport. This really
        closes: #585627 
    
     -- Bernd Zeimetz <email address hidden>  Tue, 22 Jun 2010 21:37:37 +0200
  • hplip (3.10.5-3.1) unstable; urgency=high
    
    
      * Non-maintainer upload.
      * Remove the need of Python as pre-dependency of hplip.
      * Call dh_pysupport for arch:any packages (Closes: #585627)
      * Use /usr/share/python/python.mk:   
        Instead of hard-coding PYTHONPATH, use the proper path depending on the
        default Python version. 
    
     -- Bernd Zeimetz <email address hidden>  Sun, 20 Jun 2010 22:10:09 +0200
  • hplip (3.10.5-3) unstable; urgency=high
    
    
      * Switch Depends: hplip:source:Version (Closes: #586385) fixes binNMU
        - Uprgency high for RC bug
    
     -- Mark Purcell <email address hidden>  Sat, 19 Jun 2010 11:30:26 +1000
  • hplip (3.10.5-2) unstable; urgency=low
    
    
      * Add Depends: python-notify
      * hplip-gui Add ${python:Depends}
      * Add +XS-Python-Version: >= 2.5 (Closes: #585627)
      * Add debhelper-but-no-misc-depends
      * Update Standards-Version: 3.8.4 - no changes necessary
      * *.lintian possible-gpl-code-linked-with-openssl 
        - it uses none of its symbols
      * Drop obsolete hpijs[-ppds].NEWS - debian-news-entry-has-unknown-version
      * hplip.manpages: drop hp-hpdio.1 - empty-manual-page
      * Move more GUI components to hplip-gui
        - Replaces: hplip (<= 3.10.5-1ubuntu1)
        - hp-fab: -> hplip-gui.install -> hplip-gui.manpages
        - hp-toolbox.1 -> hplip-gui.manpages
        - usr/share/pixmaps -> hplip-gui.install
        - mv hplip.menu -> hplip-gui.menu - menu-command-not-in-package
        - Fixes "Icons in notifications missing" (Closes: #581785)
      * CUPS/gs segfaults addressed (Closes: #503468)
      * hplip Depends: Switch to hpcups as default driver (Closes: #579170)
    
     -- Mark Purcell <email address hidden>  Mon, 14 Jun 2010 19:32:20 +1000
  • hplip (3.10.5-1) unstable; urgency=low
    
    
      * New upstream release 
      * Move hp-check back to hplip package - missing cups-config -> warning
      * Added +hpcheck-cupsconfig-warn.dpatch
      * Refresh udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch
      * Remove hp-systray-segfault-on-quit.dpatch - included upstream
    
     -- Mark Purcell <email address hidden>  Fri, 21 May 2010 18:51:43 +1000
  • hplip (3.10.2-3) unstable; urgency=low
    
    
      * Fix "[hpijs-ppds] missing A3 media size for HP Color Inkjet cp1700"
        Till reworked c1700 dpatch (Closes: #503621)
    
     -- Mark Purcell <email address hidden>  Tue, 13 Apr 2010 06:45:34 +1000
  • hplip (3.10.2-2) unstable; urgency=low
    
    
      * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
        - CUPS requires user to be a member of lpadmin group. (Closes: #566692) 
      * Patch hp-check to check for group membership of lp & lpadmin
        - Fixes "start/stop button should fail with permission error dialog if
        not member of lpadmin" (Closes: #572247)
      * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
      * Fix "[hplip-cups] Page background is printed black" switch back to HPIJS as
        default driver (migrate hpcups queues to HPIJS) (Closes: #568377)
      * Fix "hpijs_readme.html mentioned in man page does not exist"
        - Removed reference (Closes: #561125)
    
     -- Mark Purcell <email address hidden>  Sun, 11 Apr 2010 14:26:01 +1000
  • hplip (3.10.2-1) unstable; urgency=low
    
    
      * New Upstream Release 
      * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch
        - Fixes "/lib/udev/rules.d/56-hpmud_support.rules: udev warnings:
        SYSFS{}= will be removed in a future udev version..." (Closes: #559289)
    
     -- Mark Purcell <email address hidden>  Tue, 02 Mar 2010 13:32:59 +1100
  • hplip (3.9.12-2) unstable; urgency=low
    
    
      * NEW package libhpmud0 - splits hard dependency between hpijs & hplip 
        - Fix "hpijs linked against libhpmud.so.0 in hplip package - brings
        large (14Mb) depends" (Closes: #454117)
        - Fix "automatically got a systray app which I don't need" (Closes: #484801)
        - Fix "depends (via hplip) on cups, to no purpose" (Closes: #561134)
      * Soften bug/presubj. Fixes "requiring authentication" (Closes: #494420)
      * dh_desktop-is-deprecated - removed
      * dh_python obsolete as dh_pysupport exists
      * Add debian/README.source - fixes patch-system-but-no-source-readme
        - Upgrade to Standards-Version: 3.8.3 
    
     -- Mark Purcell <email address hidden>  Mon, 28 Dec 2009 16:36:32 +1100
  • hplip (3.9.12-1) unstable; urgency=low
    
    
      * New upstream release 
      * remove unrecognized options: --enable-debug, --disable-foomatic-xml-install
      * prnt/hpijs/dj9xxvip.cpp fixed upstream for DVD/CD
        - obsoletes debian/patches/set-media-type.dpatch
    
     -- Mark Purcell <email address hidden>  Sun, 27 Dec 2009 22:22:16 +1100
  • hplip (3.9.10-4) unstable; urgency=low
    
    
      * KBSD patch from KiBi (Closes: #560796)
    
     -- Mark Purcell <email address hidden>  Mon, 14 Dec 2009 20:08:44 +1100
  • hplip (3.9.10-3) unstable; urgency=low
    
    
      * Set local PYTHONPATH & LD_LIBRARY_PATH during man page build
        - "hplip_3.9.10-2: FTBFS: missing man page" (Closes: #558489)
    
     -- Mark Purcell <email address hidden>  Sun, 06 Dec 2009 19:28:34 +1100
  • hplip (3.9.10-2) unstable; urgency=low
    
    
      * "New upstream version 3.9.10 available" (Closes: #554714)
      * Fix "hp-toolbox crash with "ImportError: No module named qt""
        - relevant utils to hplip-gui (Closes: #525556,#525786,#520789,#484043)
      * hpli-gui - Depends: hplip (= ${hplip:binary:Version}) 
                 - Replaces: hplip (<= 3.9.8-1) (Closes: #557524)
      * Versioned Suggests: Recommends: have no effect - removed
      * Match depends to exact binary version (= ${hplip:binary:Version})
      * Update hplip.preinst to remove obsolete udev rules (Closes: #556431,#552376)
      * hplip now recommends hplip-cups (Closes: #494421)
      * Depends: python-pexpect (Does not fix bug 555361) 
        - TODO remove embedded code
      * hplip.NEWS truncated to only include relevant messages (Closes: #432454) 
      * Added "[hplip-gui] dependency on ktsuss" (Closes: #523315)
      * hplip-data: s/Recommends:/Suggests:/ hplip (Closes: #387093)
      * Move hplip-gui manages to package {Replaces: hplip (<= 3.9.10-1)}
    
     -- Mark Purcell <email address hidden>  Sun, 29 Nov 2009 17:44:27 +1100
  • hplip (3.9.10-1) unstable; urgency=low
    
    
      * New Upstream Release
        - sync with ubuntu 
    
     -- Mark Purcell <email address hidden>  Sun, 22 Nov 2009 11:05:35 +1100
  • hplip (3.9.8-1) unstable; urgency=low
    
    
      * New Upstream Release 
        - sync with ubuntu
      * Fix "Please port to PolicyKit 1" (Closes: #549499) 
        - ubuntu patch to support policykit1
      * Fix "Missing /usr/lib/libhpmud.so symlink" (Closes: #548379)
        - libsane-hpaio.so.1 now links correctly at build time
    
     -- Mark Purcell <email address hidden>  Sun, 04 Oct 2009 09:29:02 +1100
  • hplip (3.9.4b-1) unstable; urgency=low
    
    
      * New Upstream Release
    
     -- Mark Purcell <email address hidden>  Wed, 20 May 2009 21:13:15 +1000
  • hplip (3.9.2-3) unstable; urgency=low
    
    
      [ Steve Langasek ]
      * Add missing ${python:Depends} to hplip-data.
      * The python scripts are in hplip-data - call dh_pysupport -i, not
        dh_pysupport -a, so we don't end up shipping .pyc files in the
        package!  (Closes: #519966)
    
      [ Mark Purcell ]
      * Do not remove .pyc/.pyo on upgrades
    
     -- Mark Purcell <email address hidden>  Tue, 17 Mar 2009 20:24:47 +1100
  • hplip (3.9.2-2) unstable; urgency=low
    
    
      * Use Christopher Martin's debian/hplip.udev - group lp
        - hplip.NEWS advises users to use group lp
           - group scanner is depreciated to match upstream
        - (Closes: #517297) "hplip udev rules never match" 
      * hpdio_settings_dialog.dpatch also fixes:
        - (Closes: #503723) hplip: python /usr/bin/hp-systray at 100% CPU
        - Fixes "[hplip] hp-systray at 100% CPU" (Closes: #519696)
    
     -- Mark Purcell <email address hidden>  Sun, 15 Mar 2009 10:52:32 +1100
  • hplip (3.9.2-1) unstable; urgency=low
    
    
      [ Till Kamppeter ]
      * New upstream release
         o Fully Qt4-based
         o Added printing support for HP Color LasetJets 1600, 2600, and CP1215
         o Added support for HP OfficeJet Pro 8xxx series
         o Tons of bug fixes
      * debian/control, debian/rules: Qt3 is not needed any more
      * debian/control: hp-toolbox (package hplip-gui) needs python-qt4-dbus now.
      * debian/patches/pdf_printing_support.dpatch: Removed, applied upstream.
      * debian/patches/systray-applet-with-qt4.dpatch: Removed, not needed any
        more in Qt4-only environment.
      * debian/patches/delayed-hp-systray-start.dpatch: Delay start of HPLIP
        system tray applet, as it sometimes got started before the system tray was
        available.
      * debian/patches/kde4-kdesudo-support.dpatch,
        debian/patches/hp_photosmart_pro_b9100_support.dpatch,
        debian/patches/hpinfo-query-without-cups-queue.dpatch,
        debian/patches/85_rebuild_python_ui.dpatch: Regenerated.
    
     -- Mark Purcell <email address hidden>  Mon, 09 Mar 2009 12:52:14 +1100
  • hplip (2.8.12-3) unstable; urgency=low
    
    
      * Fix "Breaks: udev (<< 136-1) which is only in Ubuntu; uninstallable
        on Debian" removed from debian/control (Closes: #515750)
    
     -- Mark Purcell <email address hidden>  Wed, 18 Feb 2009 07:34:36 +1100
  • hplip (2.8.12-2) unstable; urgency=low
    
    
      * Add Recommends for sane-utils/ xsane
      * Conflicts: hpoj (Closes: #508008)
      * debian/rules add get-orig-source target
        - Available if gnome-pkg-tools is installed
      * Fix hp-check to work recognise Debian install
        -  Fix "hp-check complains about missing SIP even when sip4 installed"
        (Closes: #483843)
        - Fix "suggests installation of already installed sane" (Closes: #494419)
        - Fix "hp-check complains for lacking hpaio support in sane but
        package configures it ok" (Closes: #494430)
        - Fix "Debian/ Ubuntu place hpaio in /etc/sane.d/dll.d/hplip, so lets
        check there too" (Closes: #512596)
      * Fix "dplip: please change default icon to
        /usr/share/pixmaps/HPmenu.xpm" patch from Fabian (Closes: #415048)
    
     -- Mark Purcell <email address hidden>  Mon, 16 Feb 2009 23:47:44 +1100
  • hplip (2.8.6.b-4) unstable; urgency=low
    
    
      * Fix "hp-scan: Aborts with a traceback when trying to scan." 
        - Apply missing patches from -3 upload (Closes: #490640)
    
     -- Mark Purcell <email address hidden>  Thu, 15 Jan 2009 23:56:59 +1100
  • hplip (2.8.6.b-3) unstable; urgency=low
    
    
      * hplip Replaces hplip-gui (<< 2.8.6.b-2)
        - File conflict with hplip-gui (Closes: #502055)
      * Apply patch (faulty scanext.so) from dwelsh
        - hp-scan: Aborts with a traceback when trying to scan. 
        hplip-2.8.6-hp_scan_link.dpatch (Closes: #490640)
      * Sync Ubuntu patches & changes:
          debian/patches/pdf_printing_support.dpatch
          debian/patches/pjl-duplex-binding.dpatch
          debian/patches/kde4-kdesudo-support.dpatch
          debian/patches/bugs-in-generated-ppds.dpatch
        - Exclude /usr/share/hplip/install.py
        - hplip-gui requires one of "gksu", "kdesu", and "kdesudo"
        - debian/rules: Add *cupsFilter lines for PDF input
      * unused-override debian/{hpijs,hplip-data}.lintian
    
     -- Mark Purcell <email address hidden>  Wed, 15 Oct 2008 23:44:41 +1100